<%@ page import="core.user.User" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.ArrayList" %><%--
  Created by IntelliJ IDEA.
  User: lenovo
  Date: 2019/1/12
  Time: 13:19
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" isELIgnored="false" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
    <title>填写信息</title>
    <link type="text/css" rel="stylesheet" href="cssFile/fill-style.css">
    <script type="text/javascript" src="jsFile/jquery-3.3.1.js"></script>
    <script type="text/javascript" src="jsFile/fill-action.js"></script>
</head>
<body>
<%
    Map<String,String> map2=new HashMap<String,String>();
    Map<String,String> map3=new HashMap<String,String>();
    map2.put("姓名","李先生");
    map2.put("学号","201630126050");
    map2.put("电话","18711191679");
    map3.put("姓名","王先生");
    map3.put("学号","201630126051");
    map3.put("电话","18711191679");
    List<Map<String,String>> list=new ArrayList<Map<String,String>>();
    pageContext.setAttribute("map",map2);
    User user=(User)session.getAttribute("user");
    String type=user.getType();
    pageContext.setAttribute("type",type);
%>
<div class="updated">
    <div class="fill-top-blank"><div class="model-info">填写意见</div></div>
    <div class="fill-frame bar-change">
        <div class="fill-child">
            <div class="fill-name">${map.姓名}</div>
            <c:if test="${type=='teacher'}">
                <div class="upload-status"></div>
                <div class="download-file"></div>
            </c:if>
            <div class="other-tips-msgs">
                <c:forEach items="${map}" var="z" begin="1">
                <div class="tips-msg">${z.key}:${z.value}</div>
                </c:forEach>
            </div>
            <form class="fill-form" action="testfrom.jsp" method="post">
                <textarea placeholder="请输入信息" class="fill-ipt-text bar-change" name="text"></textarea>
                <c:if test="${type=='teacher'}">
                <input class="score-area" name="score" placeholder="请输入分数">
                </c:if>
                <input type="button" class="submit-text" value="提交">
            </form>
        </div>
    </div>
</div>
</body>
</html>
